org.apache.ignite.mxbean

## Interface DefragmentationMXBean

All Known Implementing Classes:
  DefragmentationMXBeanImpl

Deprecated.
Use managements API beans, instead.

    @Deprecated
     @MXBeanDescription(value="MBean that provides access for defragmentation features.")
    public interface DefragmentationMXBean

JMX bean for defragmentation manager.

See Also:
  `CommandMBean`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `cancel()` Deprecated. Cancel defragmentation.
`boolean` `inProgress()` Deprecated. Get defragmentation status.
`int` `processedPartitions()` Deprecated. Get count of processed partitions.
`boolean` `schedule(String cacheNames)` Deprecated. Schedule defragmentation for given caches.
`long` `startTime()` Deprecated. Get defragmentation's start time.
`int` `totalPartitions()` Deprecated. Get total count of partitions.

### Method Detail

#### schedule

    @MXBeanDescription(value="Schedule defragmentation.")
    boolean schedule(@MXBeanParameter(name="cacheNames",description="Names of caches to run defragmentation on.")
                                                                           String cacheNames)

Deprecated.
Schedule defragmentation for given caches.

Parameters:
  `cacheNames` - Names of caches to run defragmentation on, comma separated.
Returns:
  `true` if defragmentation is scheduled, `false` otherwise.

#### cancel

    @MXBeanDescription(value="Cancel current defragmentation.")
    boolean cancel()

Deprecated.
Cancel defragmentation.

Returns:
  `true` if defragmentation was canceled, `false` otherwise.

#### inProgress

    @MXBeanDescription(value="Cancel current defragmentation.")
    boolean inProgress()

Deprecated.
Get defragmentation status.

Returns:
  `true` if defragmentation is in progress right now.

#### processedPartitions

    @MXBeanDescription(value="Processed partitions.")
    int processedPartitions()

Deprecated.
Get count of processed partitions.

Returns:
  `true` if defragmentation is in progress right now.

#### totalPartitions

    @MXBeanDescription(value="Total partitions.")
    int totalPartitions()

Deprecated.
Get total count of partitions.

Returns:
  `true` if defragmentation is in progress right now.

#### startTime

    @MXBeanDescription(value="Start time.")
    long startTime()

Deprecated.
Get defragmentation's start time.

Returns:
  `true` if defragmentation is in progress right now.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023